Skip to main content
GET
Draft and published versions of each workflow, with what is running against them.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
workflow_id
string
workflow_code
string
workflow_name
string
entity_type
string
action
string
version_number
string
status
string
published_at
string
published_by_user_id
string
published_by
string
node_count
string
edge_count
string
requests_in_flight
string
row_version
string
created_at
string
updated_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

action
string<character varying>
Maximum string length: 20
created_at
string<timestamp with time zone>
edge_count
integer<bigint>
entity_type
string<character varying>

Note: This is a Foreign Key to custom_field_scopes.entity.

Maximum string length: 80
id
string<uuid>

Note: This is a Primary Key.

node_count
integer<bigint>
published_at
string<timestamp with time zone>
published_by
string<character varying>
Maximum string length: 200
published_by_user_id
string<uuid>

Note: This is a Foreign Key to my_profile.user_id.

requests_in_flight
integer<bigint>
row_version
integer<bigint>
status
string<character varying>
Maximum string length: 20
updated_at
string<timestamp with time zone>
version_number
integer<integer>
workflow_code
string<character varying>
Maximum string length: 60
workflow_id
string<uuid>

Note: This is a Foreign Key to workflows.id.

workflow_name
string<character varying>
Maximum string length: 150